<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : students.xsl
    Created on : February 20, 2019, 7:41 PM
    Author     : andre
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="html"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/">
        <html>
            <head>
                <title>List of Students</title>
                <style>
                    table {
                    border-collapse: separate;
                    background:#fff;
                    border-radius: 10px;
                    margin:50px auto;
                    box-shadow:0px 0px 5px rgba(0,0,0,0.3);
                    }
                    th{
                    font-family: 'Patua One', cursive;
                    font-size:23px;
                    font-weight:400;
                    color:#fff;
                    text-shadow:1px 1px 0px rgba(0,0,0,0.5);
                    text-align:center;
                    padding:20px;
                    background-image:linear-gradient(#f4413b, #4a5564);
                    border-top:1px solid #858d99; 
                    }
                    tbody tr td {
                    font-family: 'Open Sans', sans-serif;
                    font-weight:400;
                    color:#5f6062;
                    font-size:13px;
                    padding:20px 20px 20px 20px;
                    border-bottom:1px solid #e0e0e0;
                    }
                    tbody tr:nth-child(2n) {
                    background:#f0f3f5;
                    }
                </style>
            </head>
            <body>
                <h1 align="center">Aproved Students from New Amsterdam</h1>
                <table border="1">
                    <tr bgcolor="grey">
                        <th>Name</th>
                        <th>Age</th>
                        <th>Tutored</th>
                        <th>Home City</th>
                        <th>Major</th>
                        <th>Modules</th>
                    </tr>
                    <xsl:for-each select="students/student">
                        <xsl:if test="address/city[text()='New Amsterdam']">
                            <tr>
                                <td>
                                    <xsl:value-of select="name"/>
                                </td>
                                <td>
                                    <xsl:value-of select="@age"/>
                                </td>
                                <td align="center">
                                    <xsl:value-of select="@tutored"/>
                                </td>
                                <td>
                                    <xsl:value-of select="address/city"/>
                                </td>
                                <td>
                                    <xsl:apply-templates select="major"/>
                                </td>
                                <td>
                                    <xsl:apply-templates select="results/result"/>
                                </td>
                            </tr>
                        </xsl:if>
                    </xsl:for-each>
                </table>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="major">
        <xsl:value-of select="."/>
        <br/>
    </xsl:template>
    
    <xsl:template match="results/result">
        <xsl:if test="@grade[number()>'4']">
            <xsl:value-of select="@module"/> - Grade:<xsl:value-of select="@grade"/>
        <br/>
        </xsl:if>
    </xsl:template>


</xsl:stylesheet>
